import gc

# gc.set_threshold(1)

packages = [
    "numarray",
    "numarray.records",
    "numarray.strings",
    "numarray.memmap",
    "numarray.objects",
    "numarray.memorytest",
    "numarray.examples.convolve",
    "numarray.convolve",
    "numarray.fft",
    "numarray.linear_algebra",
    "numarray.image",
    "numarray.nd_image",
    "numarray.random_array",
    "numarray.ma"]

def test():
    for p in packages:
        exec("import " + p)
        result = eval(p+".test()")
        if result is not None:
            print ("%-40s%s" % (p + ":" , result))
        
if __name__ == "__main__":
    test()
